#
# spec file for package kdeutils3 (Version 3.5.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gmp gmp-devel gnome-filesystem gpm grep groff gzip hal info insserv jack jack-devel kdebase3 kdebase3-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio logrotate m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules patch pcre pcre-devel pcsc-lite perl perl-TermReadKey permissions pkgconfig popt popt-devel powersave-libs procinfo procps psmisc pwdutils python python-devel qt3 qt3-devel rcs readline resmgr rpm rpm-devel rrdtool sed sensors sgml-skel strace sysfsutils sysvinit tar tcpd texinfo timezone udev unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           kdeutils3
BuildRequires:  gmp-devel kdebase3-devel net-snmp-devel pcsc-lite python-devel
%ifarch ppc
BuildRequires:  pbbuttonsd
%endif
%ifarch %ix86
BuildRequires:  tpctl
%endif
License:        GPL
Group:          Productivity/File utilities
Obsoletes:      kgpg
Provides:       kgpg
Requires:       /sbin/mkdosfs
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Summary:        KDE Utility Programs
Url:            http://www.kde.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        3.5.1
Release:        25.4
Source0:        kdeutils-%{version}.tar.bz2
Patch0:         3_5_BRANCH.diff
Patch2:         klaptop.diff
Patch5:         disable-nonsense-security-check.diff
Patch11:        ppc.dif
Patch12:        kfloppy.dif
Patch13:        fix-kwallet-close.patch
Patch14:        ark-crash-fixes.diff
Provides:       kdeutils kutils

%description
A couple of utility programs for KDE.

* ark		 - archiver tool

* kcalc 	 - calculator tool

* kdepasswd	 - tool that changes the user login password

* kdf		 - tool that shows free space on disk

* kfloppy	 - floppy formatter

* kgpg		 - gpg key manager

* kwalletmanager - manager for showing and modifying passwords of
   kwallet

* kmilo 	 - tool that enables special keys on some keyboards



Authors:
--------
    The KDE Team <kde@kde.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Productivity/File utilities

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    The KDE Team <kde@kde.org>

%package extra
# usesubdirs khexedit kedit ktimer kcharselect charselectapplet kregexpeditor kjots 
Provides:       kdeutils3:/opt/kde3/bin/kedit
Summary:        KDE Utility Programs
Group:          Productivity/File utilities

%description extra
Small applications not used by most people.

kcharselect - browse characters

kedit	    - the old KDE text editor

khexedit    - hex editor

kjots	    - an application for notes

ktimer	    - a timing application



Authors:
--------
    The KDE Team <kde@kde.org>

%package laptop
Summary:        KDE utility programs for laptop users
Group:          Productivity/File utilities

%description laptop
A manager for laptop-batteries and PCMCIA slots.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdeutils-%{version} 
%patch0
%patch2
%patch5
%ifarch ppc ppc64
%patch11
%endif
%ifarch s390 s390x
rm -rf kfloppy doc/kfloppy
%endif
%patch13
%patch14
rm -rf klaptopdaemon
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
DO_NOT_COMPILE=kdessh
./configure $configkde
make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
kde_post_install
# remove unwanted files
%suse_update_desktop_file KEdit       Utility TextEditor
%suse_update_desktop_file superkaramba Utility DesktopUtility
%suse_update_desktop_file KCharSelect Utility Accessibility
%suse_update_desktop_file khexedit    Utility Editor
%suse_update_desktop_file Kjots       Utility TimeUtility
%suse_update_desktop_file ktimer      Utility TimeUtility
%suse_update_desktop_file kwikdisk    System  Applet
%suse_update_desktop_file kdf         System  Filesystem
%suse_update_desktop_file ark         System  Archiving
%suse_update_desktop_file kcalc       Utility Calculator
%suse_update_desktop_file kgpg        Utility Security
%suse_update_desktop_file irkick      Applet
%suse_update_desktop_file kwalletmanager Applet
%suse_update_desktop_file kregexpeditor  Utility Editor
%suse_update_desktop_file kcmdf
%suse_update_desktop_file kcmlirc
%suse_update_desktop_file kwalletconfig
%suse_update_desktop_file thinkpad
%suse_update_desktop_file kvaio
%ifnarch s390 s390x
%suse_update_desktop_file KFloppy     System  Filesystem
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post extra
%run_ldconfig

%postun extra
%run_ldconfig

%post laptop
%run_ldconfig

%postun laptop
%run_ldconfig

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%dir /opt/kde3/share/icons/*/*/mimetypes
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/16x16/devices
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/32x32/apps
%dir /opt/kde3/share/icons/*/scalable/apps
%dir /opt/kde3/share/config.kcfg
/opt/kde3/bin/ark
/opt/kde3/bin/irkick
/opt/kde3/bin/kcalc
/opt/kde3/bin/kd*
/opt/kde3/bin/kgpg
/opt/kde3/bin/kw*
/opt/kde3/%_lib/kde3/ark.*
/opt/kde3/%_lib/kde3/irkick.*
/opt/kde3/%_lib/kde3/kcalc.*
%exclude /opt/kde3/%_lib/kde3/kcm_kvaio*
/opt/kde3/%_lib/kde3/kcm_k*
/opt/kde3/%_lib/kde3/ksim_*
/opt/kde3/%_lib/kde3/libarkpart.*
/opt/kde3/%_lib/libkdeinit_ark.*
/opt/kde3/%_lib/libkdeinit_irkick.*
/opt/kde3/%_lib/libkdeinit_kcalc.*
/opt/kde3/%_lib/libksimcore.*
/opt/kde3/share/applications/kde/ark.desktop
/opt/kde3/share/applications/kde/irkick.desktop
/opt/kde3/share/applications/kde/kc*
/opt/kde3/share/applications/kde/kd*
/opt/kde3/share/applications/kde/kgpg.desktop
/opt/kde3/share/applications/kde/ksim.desktop
/opt/kde3/share/applications/kde/kw*
/opt/kde3/share/apps/ark
/opt/kde3/share/apps/irkick
/opt/kde3/share/apps/kcalc
/opt/kde3/share/apps/kconf_update/kcalcrc.upd
/opt/kde3/share/apps/kdf
/opt/kde3/share/apps/kgpg
/opt/kde3/share/apps/kicker/extensions/ksim.desktop
/opt/kde3/share/apps/konqueror/servicemenus/*
/opt/kde3/share/apps/ksim
/opt/kde3/share/apps/kwalletmanager
/opt/kde3/share/apps/profiles
/opt/kde3/share/apps/remotes
/opt/kde3/share/autostart/*
%config /opt/kde3/share/config/*rc
%doc %lang(en) /opt/kde3/share/doc/HTML/en/ark
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcalc
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kdf
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kgpg
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kinfocenter/blockdevices
%doc %lang(en) /opt/kde3/share/doc/HTML/en/ksim
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kwallet
%doc %lang(en) /opt/kde3/share/doc/HTML/en/irkick
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcmlirc
/opt/kde3/share/icons/*/*/*/ark.*
/opt/kde3/share/icons/*/*/*/irkick.*
/opt/kde3/share/icons/*/*/*/kcalc.*
/opt/kde3/share/icons/*/*/*/kcmdf.*
/opt/kde3/share/icons/*/*/*/kdf.*
/opt/kde3/share/icons/*/*/*/kgpg.*
/opt/kde3/share/icons/*/*/*/ksim_cpu.*
/opt/kde3/share/icons/*/*/*/ksim.*
/opt/kde3/share/icons/*/*/*/ktimer.*
/opt/kde3/share/icons/*/*/*/kwalletmanager.*
/opt/kde3/share/icons/*/*/*/kwikdisk.*
/opt/kde3/share/services/ark_part.desktop
/opt/kde3/share/services/kwallet*
/opt/kde3/share/config.kcfg/ark.kcfg
%ifnarch s390 s390x
/opt/kde3/share/icons/*/*/*/kfloppy.*
/opt/kde3/share/applications/kde/KFloppy.desktop
/opt/kde3/bin/kfloppy
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kfloppy
%endif
%{_mandir}/man1/ark*

%files extra
%defattr(-,root,root)
/opt/kde3/bin/kcharselect
/opt/kde3/bin/kedit
/opt/kde3/bin/khexedit
/opt/kde3/bin/kjots
/opt/kde3/bin/kregexpeditor
/opt/kde3/bin/ktimer
/opt/kde3/bin/superkaramba
/opt/kde3/%_lib/kde3/kcharselect_panelapplet.*
/opt/kde3/%_lib/kde3/kedit.*
/opt/kde3/%_lib/kde3/libkregexpeditorgui.*
/opt/kde3/%_lib/kde3/libkhexedit2part.*
/opt/kde3/%_lib/libkdeinit_kedit.*
/opt/kde3/%_lib/libkregexpeditorcommon.*
/opt/kde3/%_lib/libkhexeditcommon.*
/opt/kde3/share/applications/kde/KCharSelect.desktop
/opt/kde3/share/applications/kde/KEdit.desktop
/opt/kde3/share/applications/kde/khexedit.desktop
/opt/kde3/share/applications/kde/Kjots.desktop
/opt/kde3/share/applications/kde/kregexpeditor.desktop
/opt/kde3/share/applications/kde/ktimer.desktop
/opt/kde3/share/applications/kde/superkaramba.desktop
/opt/kde3/share/apps/kedit
/opt/kde3/share/apps/khexedit*
/opt/kde3/share/apps/kicker/applets/kcharselectapplet.desktop
/opt/kde3/share/apps/kjots
/opt/kde3/share/apps/kregexpeditor
/opt/kde3/share/apps/superkaramba
/opt/kde3/share/config.kcfg/kedit.kcfg
/opt/kde3/share/apps/kconf_update/kcharselect.upd
/opt/kde3/%_lib/kde3/libkbyteseditwidget.*
/opt/kde3/share/config.kcfg/kcalc.kcfg
/opt/kde3/share/config.kcfg/kgpg.kcfg
/opt/kde3/share/config.kcfg/kjots.kcfg
/opt/kde3/share/icons/*/*/*/kcharselect.png
/opt/kde3/share/icons/*/*/*/kedit.png
/opt/kde3/share/icons/*/*/*/khexedit.png
/opt/kde3/share/icons/*/*/*/kjots.png
/opt/kde3/share/icons/*/*/*/kregexpeditor.*
/opt/kde3/share/icons/*/*/*/superkaramba.*
/opt/kde3/share/icons/*/*/*/superkaramba_theme.*
/opt/kde3/share/mimelnk/application/x-superkaramba.desktop
/opt/kde3/share/services/kregexpeditorgui.desktop
/opt/kde3/share/services/kbyteseditwidget.desktop
/opt/kde3/share/services/khexedit2part.desktop
/opt/kde3/share/apps/kcharselect
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kedit
%doc %lang(en) /opt/kde3/share/doc/HTML/en/khexedit
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcharselect
%doc %lang(en) /opt/kde3/share/doc/HTML/en/superkaramba
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kjots
%doc %lang(en) /opt/kde3/share/doc/HTML/en/KRegExpEditor
%doc %lang(en) /opt/kde3/share/doc/HTML/en/ktimer

%files laptop
%defattr(-,root,root)
/opt/kde3/%_lib/libkmilo.*
/opt/kde3/%_lib/kde3/kmilo*
/opt/kde3/%_lib/kde3/kded_kmilo*
/opt/kde3/%_lib/kde3/kcm_kvaio*
/opt/kde3/%_lib/kde3/kcm_thinkpad.*
/opt/kde3/share/applications/kde/kvaio.desktop
/opt/kde3/share/applications/kde/thinkpad.desktop
/opt/kde3/share/services/kded/kmilod.desktop
/opt/kde3/share/services/kmilo
/opt/kde3/share/servicetypes/kmilo
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcontrol/kcmlowbat*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcontrol/laptop
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcontrol/powerctrl

%files devel
%defattr(-,root,root)
/opt/kde3/include/kmultiformlistbox*
/opt/kde3/include/ksim
/opt/kde3/include/kwidgetstreamer.h

%changelog -n kdeutils3
* Wed May 17 2006 - dmueller@suse.de
- fix ark crashes (#175305)
* Sun May 07 2006 - dmueller@suse.de
- Fix wallet closing outside full session (#163294)
* Mon Apr 17 2006 - stbinner@suse.de
- move documentation of apps in subpackage to subpackage (#166995)
* Thu Mar 09 2006 - stbinner@suse.de
- move superkaramba to kdeutils3-extra subpackage
* Sun Feb 05 2006 - mls@suse.de
- remove km_tpctl from BuildRequires
* Mon Jan 30 2006 - stbinner@suse.de
- update to 3.5 branch
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - stbinner@suse.de
- update to 3.5.1
* Wed Jan 18 2006 - dmueller@suse.de
- remove klaptopdaemon due to conflict with kpowersave (#127655)
  and due to licensing problems (#91260)
* Sat Jan 14 2006 - kukuk@suse.de
- Add gmp-devel to nfb
* Sun Jan 08 2006 - stbinner@suse.de
- update to 3_5_BRANCH
* Wed Jan 04 2006 - stbinner@suse.de
- fix typo in Superkaramba category
* Sun Nov 27 2005 - coolo@suse.de
- fix patch conflicts
* Sat Nov 26 2005 - coolo@suse.de
- update to 3.5.0
* Wed Nov 23 2005 - dmueller@suse.de
- update to BRANCH to fix compilation
* Mon Nov 21 2005 - stbinner@suse.de
- update to version 3.5 RC 2
* Tue Nov 15 2005 - stbinner@suse.de
- removed obsolete enscript dependency (#132487)
* Thu Nov 10 2005 - stbinner@suse.de
- update to version 3.5 RC 1
* Wed Oct 12 2005 - stbinner@suse.de
- update to version 3.4.92 (3.5 Beta 2)
* Tue Oct 11 2005 - stbinner@suse.de
- fix build (.desktop check errors)
* Fri Sep 30 2005 - coolo@suse.de
- update 3.5 branch for compile fix with gcc 4.1
* Fri Sep 30 2005 - stbinner@suse.de
- add python build dependency to get superkaramba compiled
* Wed Sep 21 2005 - dmueller@suse.de
- update to 3.4.91
* Mon Sep 12 2005 - dmueller@suse.de
- fix ksim plugin loading (#116401)
* Thu Sep 08 2005 - dmueller@suse.de
- split out kmilo into -laptop and remove asus plugin (#114960)
* Mon Aug 22 2005 - ro@suse.de
- added directory to filelist
* Fri Jul 22 2005 - coolo@suse.de
- update to version 3.4.2
* Tue Jun 07 2005 - dmueller@suse.de
- add fix_libpbb.diff to fix powerbook2 compile on PPC(64)
  (KDE bug #104517)
* Tue May 24 2005 - adrian@suse.de
- update to version 3.4.1
* Wed Mar 16 2005 - adrian@suse.de
- disable non-sense check (#72401)
* Sat Mar 05 2005 - adrian@suse.de
- update to 3.4.0 final
* Sat Feb 26 2005 - adrian@suse.de
- update to version 3.4.0 RC 1
* Mon Feb 14 2005 - adrian@suse.de
- update from CVS
* Fri Feb 11 2005 - adrian@suse.de
- update from CVS
* Mon Feb 07 2005 - adrian@suse.de
- update to beta 2
* Fri Jan 28 2005 - adrian@suse.de
- update to current snapshot
* Fri Jan 21 2005 - adrian@suse.de
- update to current snapshot
* Wed Jan 12 2005 - adrian@suse.de
- update to final beta 1 tar ball
* Wed Jan 05 2005 - coolo@suse.de
- update to 3.4 beta 1 (snapshot)
* Wed Dec 08 2004 - adrian@suse.de
- update to official 3.4 alpha 1
* Mon Nov 29 2004 - adrian@suse.de
- update to version 3.3.2
* Wed Nov 17 2004 - adrian@suse.de
- add missing %%suse_update_desktop_file calls
* Wed Oct 20 2004 - adrian@suse.de
- update to version 3.3.1
* Mon Aug 16 2004 - adrian@suse.de
- update to version 3.3.0 final
- enable SNMP ksim monitor plugin
* Tue Aug 10 2004 - adrian@suse.de
- update to version 3.3.0 RC2
* Tue Jul 20 2004 - adrian@suse.de
- update to KDE 3.2.92 (3.3 beta 2)
* Thu Jul 15 2004 - coolo@suse.de
- remove a kcontrol module from the menu
* Mon Jun 28 2004 - adrian@suse.de
- update to version 3.2.91
* Mon Jun 07 2004 - adrian@suse.de
- update to version 3.2.3
* Wed Apr 14 2004 - adrian@suse.de
- update to version 3.2.2
* Sun Apr 04 2004 - adrian@suse.de
- new patch from Waldo to improve ksim for kernel 2.6
* Fri Apr 02 2004 - coolo@suse.de
- make ksim support kernel 2.6 to not fill .xsession-errors (#36512)
* Thu Apr 01 2004 - coolo@suse.de
- update kmilo to cvs to make it shut up in non-debug builds
* Sat Mar 27 2004 - adrian@suse.de
- do not load kmilo by default, it causes lots of messages
  when trying to load the sony driver/kernel modul and fails
  (#35981)
* Fri Mar 26 2004 - adrian@suse.de
- do not start klaptopdaemon by default, we have kpowersave
* Wed Mar 17 2004 - adrian@suse.de
- add Categories for kwallet entries
* Mon Mar 15 2004 - coolo@suse.de
- update to 3_2_BRANCH (kcalc fixed)
- adding patch for powerbook
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
* Wed Feb 18 2004 - adrian@suse.de
- define Categories for irkick
* Tue Feb 10 2004 - coolo@suse.de
- fix build on s390x
* Tue Jan 27 2004 - adrian@suse.de
- update to version 3.2.0 final
* Wed Jan 21 2004 - adrian@suse.de
- disable thinkpad plugin again, it caused crashes
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 2004011309
- add extra kmilo plugin for IBM Thinkpads
* Tue Dec 30 2003 - adrian@suse.de
- update to snapshot 2003123011
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Tue Oct 14 2003 - uli@suse.de
- disable kfloppy properly for s390* and reenable it for armv4l
* Sat Sep 20 2003 - adrian@suse.de
- apply patch from kkaempf to handle also non standard acpi
  implementations (#30884)
* Tue Sep 09 2003 - coolo@suse.de
- fixing file list
* Tue Sep 09 2003 - coolo@suse.de
- going back to klaptopdaemon 3.1.4 after some evaluation of the
  cupfreq support
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Mon Sep 08 2003 - coolo@suse.de
- backported klaptopdaemon 3.2 for cpufreqd support
- fixing categories
* Thu Sep 04 2003 - adrian@suse.de
- further Category fixes
* Sun Aug 17 2003 - adrian@suse.de
- justify Categories
* Tue Aug 05 2003 - adrian@suse.de
- fix Categories
* Tue Jul 29 2003 - adrian@suse.de
- fix build for < 8.0
* Fri Jul 25 2003 - adrian@suse.de
- add Categories
- fix build for < 8.1
* Thu Jul 17 2003 - adrian@suse.de
- update to version 3.1.3
* Sun Jun 15 2003 - coolo@suse.de
- package directories
* Fri May 23 2003 - adrian@suse.de
- let it build again
* Thu May 08 2003 - adrian@suse.de
- update to version 3.1.2
* Tue Mar 11 2003 - adrian@suse.de
- update to version 3.1.1, try 2
* Mon Mar 03 2003 - adrian@suse.de
- fix build on ppc
- drop obsolete patches
* Mon Mar 03 2003 - adrian@suse.de
- update to version 3.1.1
- add Requires: /sbin/mkdosfs [#24455]
* Fri Jan 17 2003 - adrian@suse.de
- drop empty kdeutils3-printing package
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Wed Dec 11 2002 - coolo@suse.de
- rearrange ksim's classes a bit so they do not
  contain undefined references to each other
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Sun Sep 08 2002 - adrian@suse.de
- fix senseless Obsoletes (it wasn't me, it was vi)
* Wed Aug 14 2002 - adrian@suse.de
- do not package kfloppy on s390 and friends
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- add %%run_ldconfig
* Thu Jul 25 2002 - coolo@suse.de
- fixing kdf's unmount feature with symlinked /dev entries (/dev/cdrom)
* Sat Jul 06 2002 - adrian@suse.de
- fix rpm macro: s,%%ifarch i386,%%ifarch %%ix86,
* Fri Jul 05 2002 - coolo@suse.de
- removing kdessh - broken, very broken
* Fri Jul 05 2002 - coolo@suse.de
- adding patch to fix ark resizing
* Thu Jul 04 2002 - adrian@suse.de
- split package into -laptop, -extra and -printing
* Mon Jun 24 2002 - adrian@suse.de
- update to version 3.0.2
* Fri Jun 21 2002 - adrian@suse.de
- fix file conflict with sendfax (#15492)
* Sun Jun 09 2002 - ro@suse.de
- use update_admin and new common_options
* Sat May 11 2002 - coolo@suse.de
- use %%_lib
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
- disable kfloppy patch again, we found a better solution
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
- remove the Requires: dosbootdisk since this break the update
  packages
* Thu Jan 31 2002 - sndirsch@suse.de
- added 'dosbootdisk' to 'Requires'; this package is required by
  kfloppy to create FreeDOS Bootdisks (size of 'dosbootdisk' is
  only about 100k)
* Thu Jan 31 2002 - sndirsch@suse.de
- kfloppy.dif
  * fixed bug, that ext2 fs is created instead of DOS fs, if DOS fs
  is selected
  * added FreeDOS BootDisk 'fs'
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Thu Jan 24 2002 - adrian@suse.de
- update to snapshot 2.91.2002012412
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Wed Nov 14 2001 - adrian@suse.de
- update to version 2.2.2
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Thu Oct 11 2001 - adrian@suse.de
- use /sbin/snooze instead of apm on PPC
- fix path to thinkpad tool for i386
* Wed Sep 19 2001 - uwedr@suse.de
- Fixed #10469. No more qFatal in kdf when df returns "Dateisystem"
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Fri Aug 24 2001 - adrian@suse.de
- update to 2.2.0 final
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 02 2001 - adrian@suse.de
- 2.2pre1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Fri Nov 17 2000 - ro@suse.de
- audiofil -> audiofile
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - uli@suse.de
- removed weird options that broke compilation on PPC
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Thu Jul 06 2000 - adrian@suse.de
- Spec file created from kdeutils-1.91.20000706.tar.gz by autospec
